.TH "FL-RUN-BENCH" "1" "26 March 2009" "Debian Project" "Debian manual"
.SH "NAME"
fl\-record \- runs a funkload test
.SH "SYNOPSIS"
.B fl\-record
.B [ options ]
.B file
.B class.method
.SH "DESCRIPTION"
A funkload test can be turned into a load test, just by invoking the bench runner fl\-run\-bench.
.SH "OPTIONS"
.TP 
.B \-\-version
show program's version number and exit
.TP 
.B \-\-help, \-h
show this help message and exit
.TP 
.B \-\-url=MAIN_URL, \-uMAIN_URL
Base URL to bench.
.TP 
.B \-\-cycles=BENCH_CYCLES, \-cBENCH_CYCLES
Cycles to bench, this is a list of number of virtual concurrent users, to run a bench with 3 cycles with 5, 10 and 20 users use: \-c 2:10:20
.TP 
.B \-\-duration=BENCH_DURATION, \-DBENCH_DURATION
Duration of a cycle in seconds.
.TP 
.B \-\-sleep\-time\-min=BENCH_SLEEP_TIME_MIN, \-mBENCH_SLEEP_TIME_MIN
Minimum sleep time between request.
.TP 
.B \-\-sleep\-time\-max=BENCH_SLEEP_TIME_MAX, \-MBENCH_SLEEP_TIME_MAX
Maximum sleep time between request.
.TP 
.B \-\-startup\-delay=BENCH_STARTUP_DELAY, \-sBENCH_STARTUP_DELAY
Startup delay between thread.
.TP 
.B \-\-no\-color
Monochrome output.
.TP 
.B \-\-accept\-invalid\-links
Do not fail if css/image links are not reachable.
.TP 
.B \-\-simple\-fetch
Don't load additional links like css or images when fetching an html page.
.TP
.B --label=LABEL, -l LABEL
Add a label to this bench run for easier identification (it will be appended to the directory name for reports generated from it).

.SH "SEE ALSO"
.BR fl\-build\-report (1),
.BR fl\-credential\-ctl (1),
.BR fl\-install\-demo (1),
.BR fl\-monitor\-ctl (1),
.BR fl\-record (1),
.BR fl\-run\-test (1).
.SH "AUTHOR"
Funkload was written by Benoit Delbosc.
.PP 
This manual page was written by Jose Parrella <bureado@debian.org>,
for the Debian project (but may be used by others).
